Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.fourthline.cling.model.meta
Class Service<D extends Device,S extends Service>

    java.lang.Object
      org.fourthline.cling.model.meta.Service<D,S>

Direct Known Subclasses:
  LocalService, RemoteService

    public abstract class Service<D extends Device,S extends Service>

extends Object

The metadata of a service, with actions and state variables.

Author:
  Christian Bauer

Constructor Summary
`Service(ServiceType serviceType, ServiceId serviceId)`
`Service(ServiceType serviceType, ServiceId serviceId, Action<S>[] actions, StateVariable<S>[] stateVariables)`

Method Summary
`Action<S>` | `getAction(String name)`
`Action<S>[]` | `getActions()`
`Datatype<S>` | `getDatatype(ActionArgument argument)`
`D` | `getDevice()`
`abstract Action` | `getQueryStateVariableAction()`
`ServiceReference` | `getReference()`
`StateVariable<S>` | `getRelatedStateVariable(ActionArgument argument)`
`ServiceId` | `getServiceId()`
`ServiceType` | `getServiceType()`
`StateVariable<S>` | `getStateVariable(String name)`
`StateVariable<S>[]` | `getStateVariables()`
`boolean` | `hasActions()`
`boolean` | `hasStateVariables()`
`String` | `toString()`
`List<ValidationError>` | `validate()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Service

    public Service(ServiceType serviceType,
                   ServiceId serviceId)
            throws ValidationException

Throws:
  `ValidationException`

### Service

    public Service(ServiceType serviceType,
                   ServiceId serviceId,
                   Action<S>[] actions,
                   StateVariable<S>[] stateVariables)
            throws ValidationException

Throws:
  `ValidationException`

Method Detail

### getServiceType

    public ServiceType getServiceType()

### getServiceId

    public ServiceId getServiceId()

### hasActions

    public boolean hasActions()

### getActions

    public Action<S>[] getActions()

### hasStateVariables

    public boolean hasStateVariables()

### getStateVariables

    public StateVariable<S>[] getStateVariables()

### getDevice

    public D getDevice()

### getAction

    public Action<S> getAction(String name)

### getStateVariable

    public StateVariable<S> getStateVariable(String name)

### getRelatedStateVariable

    public StateVariable<S> getRelatedStateVariable(ActionArgument argument)

### getDatatype

    public Datatype<S> getDatatype(ActionArgument argument)

### getReference

    public ServiceReference getReference()

### validate

    public List<ValidationError> validate()

### getQueryStateVariableAction

    public abstract Action getQueryStateVariableAction()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 4th Line GmbH, Switzerland. All Rights Reserved.